summaryrefslogtreecommitdiff
path: root/source3/script/tests/test_wbinfo_s3.sh
diff options
context:
space:
mode:
authorAndrew Bartlett <abartlet@samba.org>2011-02-21 16:01:44 +1100
committerAndrew Bartlett <abartlet@samba.org>2011-02-22 16:20:10 +1100
commita82d9e4e72d624916b1e12393a73a4d79ae080d2 (patch)
tree91b8a2ad1beec40bc7c9fac497b80be0ded13b26 /source3/script/tests/test_wbinfo_s3.sh
parent0b066b88dfbcc612089cdb5d971b7bb1bb7542ed (diff)
downloadsamba-a82d9e4e72d624916b1e12393a73a4d79ae080d2.tar.gz
samba-a82d9e4e72d624916b1e12393a73a4d79ae080d2.tar.bz2
samba-a82d9e4e72d624916b1e12393a73a4d79ae080d2.zip
s3-selftest convert tests.sh to python
This should allow us a much better chance of invoking the subunit wrappers in the right way, at the right level. Andrew Bartlett
Diffstat (limited to 'source3/script/tests/test_wbinfo_s3.sh')
-rwxr-xr-xsource3/script/tests/test_wbinfo_s3.sh45
1 files changed, 3 insertions, 42 deletions
diff --git a/source3/script/tests/test_wbinfo_s3.sh b/source3/script/tests/test_wbinfo_s3.sh
index a63bcba794..860e7c5afc 100755
--- a/source3/script/tests/test_wbinfo_s3.sh
+++ b/source3/script/tests/test_wbinfo_s3.sh
@@ -1,17 +1,12 @@
#!/bin/sh
-if [ $# -lt 4 ]; then
+if [ $# -lt 1 ]; then
cat <<EOF
-Usage: test_wbinfo_s3.sh DOMAIN SERVER USERNAME PASSWORD <wbinfo args>
+Usage: test_wbinfo_s3.sh <wbinfo args>
EOF
exit 1;
fi
-domain="$1"
-server="$2"
-username="$3"
-password="$4"
-shift 4
ADDARGS="$*"
test x"$TEST_FUNCTIONS_SH" != x"INCLUDED" && {
@@ -19,40 +14,6 @@ incdir=`dirname $0`/../../../testprogs/blackbox
. $incdir/subunit.sh
}
-OLDIFS=$IFS;
-
-tests="--ping"
-tests="$tests:--separator"
-tests="$tests:--own-domain"
-tests="$tests:--all-domains"
-tests="$tests:--trusted-domains"
-tests="$tests:--domain-info=BUILTIN"
-tests="$tests:--domain-info=$domain"
-tests="$tests:--online-status"
-tests="$tests:--online-status --domain=BUILTIN"
-tests="$tests:--online-status --domain=$domain"
-tests="$tests:--check-secret --domain=$domain"
-tests="$tests:--change-secret --domain=$domain"
-tests="$tests:--check-secret --domain=$domain"
-tests="$tests:--online-status --domain=$domain"
-#Didn't pass yet# tests="$tests:--domain-users"
-tests="$tests:--domain-groups"
-tests="$tests:--name-to-sid=$username"
-#Didn't pass yet# tests="$tests:--user-info=$username"
-tests="$tests:--user-groups=$username"
-tests="$tests:--allocate-uid"
-tests="$tests:--allocate-gid"
-
-failed=0
-
-OLDIFS=$IFS
-NEWIFS=$':'
-IFS=$NEWIFS
-for t in $tests; do
- IFS=$OLDIFS
- testit "wbinfo $t" $VALGRIND $BINDIR/wbinfo $ADDARGS $t || failed=`expr $failed + 1`
- IFS=$NEWIFS
-done
-IFS=$OLDIFS
+testit "wbinfo" $VALGRIND $BINDIR/wbinfo $ADDARGS || failed=`expr $failed + 1`
testok $0 $failed